-- SPDX-License-Identifier: CC0-1.0

let Genode = env:DHALL_GENODE

let solo5 = env:SOLO5_MANIFEST

let Args =
        { config : Genode.Init.Type, rom : Genode.Prelude.Map.Type Text Text }
      : Type

in    λ(boot : Args)
    → { config = boot.config, rom = boot.rom # [ solo5.lib.solo5 ] }
