# SPDX-License-Identifier: CC0-1.0

{ testEnv, pkgs, ... }:
with pkgs;

testEnv.mkTest {
  name = "fs_report";
  meta.maintainers = with pkgs.stdenv.lib.maintainers; [ ehmry ];

  testConfig = ./fs_report.dhall;

  testScript = ''
    run_genode_until {child "test-fs_report" exited with exit value 0} 15
  '';
}
